Package org.apache.ignite.internal.cache.query.index.sorted.inline.io

## Interface InlineIO

All Known Implementing Classes:
  `AbstractInlineInnerIO`, `AbstractInlineLeafIO`, `AbstractInnerIO`, `AbstractLeafIO`, `InlineInnerIO`, `InlineLeafIO`, `InnerIO`, `LeafIO`

    public interface InlineIO

Represents common API for inline IOs.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `inlineSize()`
`long` `link​(long pageAddr, int idx)`

### Method Detail

#### link

    long link​(long pageAddr,
              int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Row link.

#### inlineSize

    int inlineSize()

Returns:
  Number of bytes stored in the inline payload.